﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace UltraGridPhilipCase
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            timer1.Interval = 200;
            timer1.Enabled = true;
        }

        private DataSet GetData()
        {
            DataSet ds = new DataSet();

            DataTable dt = new DataTable("Table1");
            dt.Columns.Add("A", typeof(string));
            dt.Columns.Add("B", typeof(double));
            dt.Columns.Add("C", typeof(double));
            dt.Columns.Add("D", typeof(double));

            Random rnd = new Random();

            for(int k = 0 ; k< 10; k++)           
            dt.Rows.Add("Item " + k.ToString(), rnd.Next(10), rnd.Next(1000), rnd.Next(10000));

            ds.Tables.Add(dt);
            return ds;
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            timer1.Stop();

            ultraGrid1.DataSource = null;
            ultraGrid1.DataSource = this.GetData();

            timer1.Start();
        }

        private void ultraGrid1_InitializeRow(object sender, Infragistics.Win.UltraWinGrid.InitializeRowEventArgs e)
        {
            foreach (UltraGridColumn col in e.Row.Band.Columns)
            {
                if (col.Key == "B" && Convert.ToInt32(e.Row.GetCellValue(col)) > 5) e.Row.Cells[col].Appearance.BackColor = Color.Yellow;
                else if (col.Key == "C" && Convert.ToInt32(e.Row.GetCellValue(col)) > 500) e.Row.Cells[col].Appearance.BackColor = Color.Green;
                else if (col.Key == "D" && Convert.ToInt32(e.Row.GetCellValue(col)) > 5000) e.Row.Cells[col].Appearance.BackColor = Color.Blue;
                else if (col.Key == "A" ) e.Row.Cells[col].Appearance.BackColor = Color.White;
                else e.Row.Cells[col].Appearance.BackColor = Color.Red;
            }
        }

    }


}
